Page MenuHomePhabricator

Wikimedia Developer Summit 2017 Program committee debrief
Closed, ResolvedPublic

Description

Program committee, let's meet to discuss how all our work went, the end results, lessons learned...

The meeting happened on 2017-02-09

Participants: Halfak, Bryan Davis, Greg, Chase, Quim. CScott was on vacation and could not attend.

A lot of the conversation went about what could have been done better, and how we should do it next time. This brought a discussion about the future of the Summit.

A reorganized collection of topics discussed:

  • The unclear purpose of the Summit continues to be an essential problem; from here the rest of the Program committee work becomes more difficult
    • At some point Tech management, Product, etc. ask "Why are you doing the summit?" If they don't know, that tells a story. E.g. chasing to participate and define topics. It's a lot of energy to do that. We can put that into Tech/Product's hands.
    • Aaron volunteers to make some arguments next time.
    • Essential problem: lack of drive from Technology and Product management
    • In general, the WMF has a difficulty for setting main topics and deadlines before.
  • We built process as needed (this is interpreted as good, but also bad)
    • About decision-making, next time we need to be more organized beforehand. Have a better idea of what needs to be decided, by when, how to make
    • At the beginning many people were invited with different affiliations, backgrounds, gender... however, a lot of that was lost on the way. A succession of coincidences, or did we do something that intrinsically drove away diversity in the Program committee?
  • The platform to organize the call for participation
    • Using phab for everything has its shortcomings.
    • We didn't have a nice portal to do this. Wikimania does it nice. Template, ect
    • IdeaLab is another good example.
    • http://papercall.io/ is a tool for this.
    • We should partner with whoever has already an experience organizing this type of portal / call for proposals.
  • Scheduling sessions was a confusing process
    • There was a lot of confusion
    • Process for choosing which sessions would be scheduled was confusing
    • Some feedback about the pre-scheduled sessions, how they were decided. It might have made some people uncomfortable. A secondary problem?
  • Scholarships and program definitions (speakers, sessions) should be synced well.
    • It has been a recurrent problem.
    • Some volunteers that could have been good speakers for the topics defined were found when the deadline for scholarship requests was passed.
    • About scholarship budget limitations, we could pull scholarship needs from different WMF teams in the annual plan, reflecting that the budget in TC reflects the needs of many WMF teams.
    • Earlier deadlines will lead to scrabbling -- but maybe not more productive in the end. A lot of topics in-the-now. Organizationally, we just don't plan that far ahead.

Other topics mentioned:

  • The core of the conference was well curated and the unconference session filled in more recent stuff
  • 90 minute sessions were shockingly well conceived for our question format
  • Not having live streaming was hard

(Conversation about the future of the Summit)

  • bd808 rambled about 2014 Architecture summit vs 2017 Wikimedia Developer Summit focus at a broad level
  • Quim: audience of event and focus of event help define the time and structure
  • chase: thought this was the technical version of Wikimania
  • Quim: talking with Victoria and Wes to get their expectations

Event Timeline

Qgil created this task.Feb 3 2017, 3:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2017, 3:41 PM
Qgil added a comment.Feb 3 2017, 3:47 PM

Meeting scheduled for Feb 9.

Qgil closed this task as Resolved.Feb 9 2017, 10:23 PM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)

@Rfarrand, all done. Thank you for this idea. It was a very interesting conversation.

Thanks for doing that! Please upload your notes here @Qgil : https://phabricator.wikimedia.org/T155597